%define long_name gpaint-2

Name:		gpaint
Summary:	Small-scale painting program for GNOME, the GNU Desktop
Version:	0.3.3
Release:	%mkrel 18
License:	GPLv2+
Source0:	https://www.gnu.org/software/gpaint/#downloading/%{long_name}-%{version}.tar.gz
URL:		https://www.gnu.org/software/gpaint/
Group:		Graphics/Editors and Converters
Patch0:		gpaint-2-0.3.3-fix-drawing-fnt.patch
Patch1:		gpaint-2-0.3.3-remove-entry-menu.h.patch
Patch2:		gpaint-2-0.3.3-fix-crash-on-font-selection.patch
Patch3:		gpaint-2-0.3.3-fix-crash-on-saving-in-unsupported-format.patch
Patch4:		gpaint-2-0.3.3-fix-not-printable-string.patch
Patch5:		gpaint-2-0.3.3-fix-color-selection.patch
Patch6:		gpaint-2-0.3.3-fix-build-added-lm.patch
Patch7:		gpaint-2-0.3.3-linking.patch
BuildRequires:	pkgconfig(libglade-2.0) >= 2.6.4
BuildRequires:	desktop-file-utils
Obsoletes:	gpaint-2 < 0.3.3-8

%description
GNU Paint (gpaint) is a simple, easy-to-use paint program for GNOME.

Current Features:

   o Drawing tools--ovals, freehand, polygon, text, with fill or shallow for polygons and closed freehand.
   o Cut and paste by selecting irregular regions or polygons
   o Print support using gnome-print (still flaky, will be improved upon next release)
   o Modern, ease-to-use user interface with tool and color palettes
   o Editing multiple image at the same time without running multiple instance of the image editor
   o All image processing features present in xpaint.

%prep
%setup -q -n %{long_name}-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install
%find_lang %{long_name}

install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

perl -pi -e 's,Icon=.*,Icon=graphics_section,' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--add-category="Graphics;" \
	--dir %{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{long_name}.lang
%defattr(-,root root) 
%doc AUTHORS COPYING  NEWS README THANKS
%{_bindir}/%{long_name}
%{_datadir}/gpaint/glade/gpaint.glade
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.3.3-18.mga9
+ Revision: 1832050
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3.3-17.mga8
+ Revision: 1512692
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3-16.mga7
+ Revision: 1298040
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 0.3.3-15.mga7
+ Revision: 1235384
- add patch to fix linking
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.3.3-14.mga6
+ Revision: 935735
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-13.mga5
+ Revision: 748913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-12.mga5
+ Revision: 679904
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-11.mga4
+ Revision: 505211
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-10.mga3
+ Revision: 352507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Nov 30 2012 malo <malo> 0.3.3-9.mga3
+ Revision: 323567
- update RPM group
- patch to fix build

* Thu May 12 2011 ahmad <ahmad> 0.3.3-8.mga1
+ Revision: 97627
- Rename the package to gpaint
- Use the upstream .desktop file (it has some translations)
+ kharec <kharec>
- imported package gpaint-2

